Name:           reproc
Version:        14.2.3
%global         majorversion 2
%global         tag meson-1
Release:        1%{?dist}
Summary:        A cross-platform (C99/C++11) process library 

License:        MIT
URL:            https://github.com/franko/reproc
Source0:        %{url}/archive/v%{version}-%{tag}/%{name}-%{version}-%{tag}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  meson

%package devel
Summary:        Development package for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}

%description devel
Development package for %{name}.

%description
reproc (Redirected Process) is a cross-platform C/C++ library that simplifies starting,
stopping and communicating with external programs.

The main use case is executing command line applications directly from C or C++ code
and retrieving their output.

%prep
%autosetup -n %{name}-%{version}-%{tag}

%build
%meson
%meson_build

%install
%meson_install

%files
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}++.so
%license LICENSE

%files devel
%{_includedir}/%{name}/
%{_includedir}/%{name}++/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}++.pc

%changelog
* Tue Aug 17 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 14.2.3-1
- Initial spec


